Uploaded image for project: 'IMPALA'
  1. IMPALA
  2. IMPALA-4254

impala-kudu unable to open lzo compressed tables

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: Impala 2.7.0
    • Fix Version/s: Impala 2.8.0
    • Component/s: Frontend
    • Labels:
    • Environment:
      OS: CentOS 6.8 x86_64

      Description

      Hi there,

      We are running into issues querying lzo compressed table in impala.

      Error message received

      ERROR: Unable to load libimpalalzo.so
      dlerror: libimpalalzo.so: cannot open shared object file: No such file or directory
      Error loading impala-lzo library. Check that the impala-lzo library is at version 2.8.0-cdh5-INTERNAL

      Our CDH info:

      Hadoop is running on CDH 5.6.0
      (hadoop 2.6.0+cdh5.6.0+1023-1.cdh5.6.0.p0.120.el6.x86_64)

      However, Impala is using Impala-kudu from CDH 5.9.0
      Impala-kudu 2.7.0+cdh5.9.0+0-1.cdh5.9.0.p0.109.el6.x86_64

      Same table can successfully be queried in Hive
      (hadoop-lzo-0.4.15+cdh5.6.0+0-1.cdh5.6.0.p0.99.el6.x86_64
      hive-server2-1.1.0+cdh5.6.0+377-1.cdh5.6.0.p0.110.el6.noarch)

      So far from my research, I've found that CDH 5.7 onwards Impala-lzo package should not be required.

      Any suggestions ?

      Thanks,
      Ashim

        Activity

        Hide
        tarmstrong Tim Armstrong added a comment -

        Why do you say that impala-lzo isn't needed?

        Show
        tarmstrong Tim Armstrong added a comment - Why do you say that impala-lzo isn't needed?
        Hide
        ashrestha_impala_2681 Ashim Shrestha added a comment -

        Hi Tim,

        Thanks for getting back.

        To quote from https://community.cloudera.com/t5/Interactive-Short-cycle-SQL/Kudu-Impala-for-CDH-5-7/td-p/40891

        "There is no separate Impala-lzo package. As far as I know one shouldn't be needed" ( Please see comment by Cloudera employee Casey, dated: 05-17-2016 11:27 AM)

        Show
        ashrestha_impala_2681 Ashim Shrestha added a comment - Hi Tim, Thanks for getting back. To quote from https://community.cloudera.com/t5/Interactive-Short-cycle-SQL/Kudu-Impala-for-CDH-5-7/td-p/40891 "There is no separate Impala-lzo package. As far as I know one shouldn't be needed" ( Please see comment by Cloudera employee Casey, dated: 05-17-2016 11:27 AM)
        Hide
        tarmstrong Tim Armstrong added a comment -

        I think Casey might have been wrong on that one. Cloudera still has separate GPL extras parcels and packages: http://www.cloudera.com/documentation/enterprise/latest/topics/cm_ig_install_gpl_extras.html http://archive.cloudera.com/gplextras5/

        Show
        tarmstrong Tim Armstrong added a comment - I think Casey might have been wrong on that one. Cloudera still has separate GPL extras parcels and packages: http://www.cloudera.com/documentation/enterprise/latest/topics/cm_ig_install_gpl_extras.html http://archive.cloudera.com/gplextras5/
        Hide
        mjacobs Matthew Jacobs added a comment -

        BTW this will be fixed in Impala 2.8 because we will not produce separate Kudu-Impala packages anymore.

        Show
        mjacobs Matthew Jacobs added a comment - BTW this will be fixed in Impala 2.8 because we will not produce separate Kudu-Impala packages anymore.
        Hide
        mjacobs Matthew Jacobs added a comment -

        Marking this as fixed for Impala 2.8.

        Show
        mjacobs Matthew Jacobs added a comment - Marking this as fixed for Impala 2.8.
        Hide
        qinzl_1 qinzl_1 added a comment -

        i impala version is 2.9 ,the bug still exit

        Show
        qinzl_1 qinzl_1 added a comment - i impala version is 2.9 ,the bug still exit
        Hide
        tarmstrong Tim Armstrong added a comment -

        qinzl_1 there is no Impala-Kudu package with Impala 2.9 that I'm aware of. If you want help with using Impala please feel free to send an email to user@impala.incubator.apache.org with a description of your problem and we can try to help you out.

        Show
        tarmstrong Tim Armstrong added a comment - qinzl_1 there is no Impala-Kudu package with Impala 2.9 that I'm aware of. If you want help with using Impala please feel free to send an email to user@impala.incubator.apache.org with a description of your problem and we can try to help you out.

          People

          • Assignee:
            Unassigned
            Reporter:
            ashrestha_impala_2681 Ashim Shrestha
          • Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development